package dev.crucifixbeta.api.events.impl;

import net.fabricmc.api.EnvType;
import net.fabricmc.api.Environment;
import net.minecraft.entity.Entity;

@Environment(EnvType.CLIENT)
public class EntitySpawnedEvent {
   private static final EntitySpawnedEvent INSTANCE = new EntitySpawnedEvent();
   private Entity entity;

   private EntitySpawnedEvent() {
   }

   public static EntitySpawnedEvent get(Entity player) {
      INSTANCE.entity = player;
      return INSTANCE;
   }

   public Entity getEntity() {
      return this.entity;
   }
}
